Bug 436618 - Incorrect tilt direction with stabilizer when canvas is rotated
Summary: Incorrect tilt direction with stabilizer when canvas is rotated
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Tools/Freehand (show other bugs)
Version: 4.4.3
Platform: Microsoft Windows Microsoft Windows
: NOR normal
Target Milestone: ---
Assignee: Dmitry Kazakov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-05 09:53 UTC by Alvin Wong
Modified: 2021-11-23 15:27 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alvin Wong 2021-05-05 09:53:35 UTC
SUMMARY

When the canvas is rotated, with the brush smoothing st to "stabilizer" and "stabilize sensors" set to off, the stylus tilt direction is rotated incorrectly.

STEPS TO REPRODUCE
1. Set cursor outline shape to "tilt outline" or choose a brush preset that uses tilt angle and direction
2. Set brush smoothing to "stabilizer" and disable "stabilize sensors"
3. Rotate canvas
4. Draw on the canvas

OBSERVED RESULT

Tilt direction is wrong.

EXPECTED RESULT

Tilt direction should not be wrong.

SOFTWARE/OS VERSIONS
Windows: 10

ADDITIONAL INFORMATION

/
Comment 1 Dmitry Kazakov 2021-11-23 15:26:20 UTC
Git commit 42f80129af535e3585334e76c0950202a1da3f51 by Dmitry Kazakov.
Committed on 23/11/2021 at 15:26.
Pushed by dkazakov into branch 'master'.

Fix tilt-rotation when the canvas is rotated and stabilizer is active

M  +4    -0    libs/ui/tool/kis_tool_freehand_helper.cpp

https://invent.kde.org/graphics/krita/commit/42f80129af535e3585334e76c0950202a1da3f51
Comment 2 Dmitry Kazakov 2021-11-23 15:27:57 UTC
Git commit 11a8a3e466d26aed7e3965e28970d53e84d926b5 by Dmitry Kazakov.
Committed on 23/11/2021 at 15:27.
Pushed by dkazakov into branch 'krita/5.0'.

Fix tilt-rotation when the canvas is rotated and stabilizer is active
(cherry picked from commit 42f80129af535e3585334e76c0950202a1da3f51)

M  +4    -0    libs/ui/tool/kis_tool_freehand_helper.cpp

https://invent.kde.org/graphics/krita/commit/11a8a3e466d26aed7e3965e28970d53e84d926b5